#footer a {
    transition: all 0.3s;
}

#footer a:hover {
    opacity: 0.7;
}

.footer-nav-flex {
    position: relative;
    max-width: 987px;
    margin: 0 auto;
    padding-top: 29px;
    padding-bottom: 33px;
    display: flex;
    justify-content: space-between;
}

.footer-inner {
    width: 100%;
    border-top: solid 1px #005BAB;
    border-bottom: solid 1px #005BAB;
}

.footer-nav-index {
    font-size: 18px;
    color: #727171;
}

.footer-nav-index .has-arrow {
    display: flex;
    align-items: center;
    margin-top: 16px;
}

.footer-nav-index .has-arrow a {
    display: flex;
    align-items: center;
    font-size: 14px;
    color: #B5B5B6;
}

.list-arrow {
    display: flex;
    width: 13px;
    height: 11px;
    margin: 0 3px;
}

.nav-list-item {
    font-size: 14px;
}

.footer-logo-flex {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 167px;
    padding-top: 25px;
}

.footer-logo-img {
    width: 263px;
    height: auto;
    margin-bottom: 21px;
}

.footer-title {
    padding-left: 29px;
    color: #000;
    font-size: 15px;
    font-family: "ヒラギノ角ゴ Pro W6", "HiraKakuPro-W6", "myfontHiraW6", sans-serif;
}

.footer-gray-line {
    width: 100%;
    height: 35px;
    background-color: #EFEFEF;
}

#page-top-btn {
    display: flex;
    flex-direction: column;
    justify-content: center;
    row-gap: 10px;
    position: fixed;
    bottom: 50px;
    right: calc((100% - 1220px) / 2 - 90px);
    z-index: 90;
    padding: 16px 0;
    text-align: center;
    width: 90px;
    height: 90px;
    font-size: 12px;
    line-height: 1em;
    color: #fff;
    border-radius: 999px;
    background-color: #009D8E;

    /* デフォルトは非表示 */
    opacity: 0;
    visibility: hidden;
    transition: 0.4s;
}

#page-top-btn:hover {
    cursor: pointer;
}

#page-top-btn img {
    margin: 0 auto;
    width: 17px;
}

#page-top-btn.visible {
    opacity: 1;
    visibility: visible;
}

@media screen and (max-width: 1441px) {
    #page-top-btn {
        right: 30px;
    }
}

@media screen and (max-width: 1221px) {
    .footer-nav-flex {
        width: calc((987 / 1220) * 100vw);
        padding-top: calc((29 / 1220) * 100vw);
        padding-bottom: calc((33 / 1220) * 100vw);
    }

    .footer-nav-index {
        font-size: clamp(14px, calc((18 / 1220) * 100vw), 18px);
    }

    .footer-nav-index .has-arrow {
        margin-top: calc((16 / 1220) * 100vw);
    }

    .footer-nav-index .has-arrow a {
        font-size: clamp(11px, calc((14 / 1220) * 100vw), 14px);
    }

    .list-arrow {
        width: calc((13 / 1220) * 100vw);
        height: calc((11 / 1220) * 100vw);
        margin: 0 calc((3 / 1220) * 100vw);
    }

    .nav-list-item {
        font-size: clamp(11px, calc((14 / 1220) * 100vw), 14px);
    }

    .footer-logo-flex {
        height: calc((167 / 1220) * 100vw);
        padding-top: calc((25 / 1220) * 100vw);
    }

    .footer-logo-img {
        width: calc((263 / 1220) * 100vw);
        margin-bottom: calc((21 / 1220) * 100vw);
    }

    .footer-title {
        padding-left: calc((29 / 1220) * 100vw);
        font-size: clamp(12px, calc((15 / 1220) * 100vw), 15px);
    }

    .footer-gray-line {
        height: calc((35 / 1220) * 100vw);
    }

    #page-top-btn {
        row-gap: calc((10 / 1220) * 100vw);
        bottom: calc((50 / 1220) * 100vw);
        right: calc((18 / 1220) * 100vw);
        padding: calc((16 / 1220) * 100vw) 0;
        width: calc((90 / 1220) * 100vw);
        height: calc((90 / 1220) * 100vw);
        min-width: 50px;
        min-height: 50px;
        font-size: clamp(10px, calc((12 / 1220) * 100vw), 12px);
    }

    #page-top-btn img {
        width: calc((17 / 1220) * 100vw);
    }

}

@media screen and (max-width: 750px) {
    .footer-nav-flex {
        flex-wrap: wrap;
        row-gap: 27px;
        width: 95%;
        max-width: 350px;
        padding-top: 20px;
        padding-bottom: 17px;
    }

    .footer-nav-index {
        font-size: 15px;
    }

    .footer-nav-index:nth-child(1),
    .footer-nav-index:nth-child(4) {
        width: calc(100% / 4.7);
    }

    .footer-nav-index:nth-child(3),
    .footer-nav-index:nth-child(6) {
        width: calc(100% / 2.3);
    }

    .footer-nav-index:nth-child(2),
    .footer-nav-index:nth-child(5) {
        width: calc(100% / 3.5);
    }

    .footer-nav-index .has-arrow {
        margin-top: 11px;
    }

    .footer-nav-index .has-arrow a {
        font-size: 12px;
    }

    .list-arrow {
        width: 13px;
        height: 11px;
        margin: 0 2px;
    }
}

@media screen and (max-width: 600px) {
    .footer-title {
        margin-bottom: 17px;
        padding-left: 0;
        text-align: center;
        font-size: 13px;
        line-height: 1.6em;
    }

    .footer-logo-flex {
        flex-direction: column-reverse;
        height: 150px;
        padding: 28px 0;
    }

    .footer-logo-img {
        width: 152px;
        margin-bottom: 0;
    }
}

@media screen and (max-width: 480px) {
    #page-top-btn {
        row-gap: 3px;
        bottom: 30px;
        right: 10px;
        padding: 16px 0;
        width: 50px;
        height: 50px;
        font-size: 10px;
    }

    #page-top-btn img {
        width: 10px;
    }

    /* .footer-title {
        margin-bottom: 17px;
        padding-left: 0;
        text-align: center;
        font-size: 13px;
        line-height: 1.6em;
    }

    .footer-logo-flex {
        flex-direction: column-reverse;
        height: 150px;
        padding: 28px 0;
    }

    .footer-logo-img {
        width: 152px;
        margin-bottom: 0;
    } */

    .footer-gray-line {
        height: 22px;
    }
}